#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow {
  Q_OBJECT

private:
  enum class CentralWidget : int {
    Workplace,
    Report,
    Products,
    Prices,
    Suppliers
  };

private:
  Ui::MainWindow *m_ui;

private:
  void createToolBar();
  void configureCentralWidget();
  void configureConnections();
  void configureText();
  void configureIcons();

public:
  explicit MainWindow(QWidget *parent = nullptr);
  ~MainWindow();

private:
  void setCentralWidget(CentralWidget index);
};

#endif // MAINWINDOW_H
